收藏
回答

微信版本与基础库的关系

问题模块 框架类型 问题类型 操作系统 操作系统版本 手机型号 微信版本
客户端 小程序 Bug ios ios6 6.1.4

我想要知道微信客户端版本与小程序基础库的关系

每次有新接口出来,把基础库设置为最新的,但是总有一两个客户使用的时候会遇到问题,然后更新一下微信版本之后,说又能用了

这个两者的关系最好说明一下,我们好做兼容,官方现在完全没有文档说明,希望说明一下

最后一次编辑于  2018-06-26  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏关注问题回答

7 个回答

  • 晨
    2018-06-26

    我们设想是开发者只需要关注基础库的版本,只要基础库版本满足要求即可。低版本微信的基础库版本也是低版本。

    具体碰到的是什么问题,麻烦详细描述下,我们评估一下。

    2018-06-26
    赞同
    回复 3
    • 好腻诺
      好腻诺
      2018-06-29

      微信的低版本客户端无法下载新版的基库吗???

      2018-06-29
      赞同
      回复
    • 晨
      2018-06-29回复好腻诺

      小程序的能力需要微信客户端来支撑,每一个基础库都只能在对应的客户端版本上运行,高版本的基础库无法兼容低版本的微信客户端。

      2018-06-29
      赞同
      回复
    • starfish
      starfish
      2018-12-03回复

      所以说  小程序基础库 具体 对应微信的什么版本  这个有文档说明吗

      2018-12-03
      赞同
      回复
  • 好腻诺
    好腻诺
    2018-06-28

    我们一直是用最新的版本和根据最新的api修改小程序的,当是每次发布新的,有些用户是不怎么更新微信版本的,导致新版本上去了,他就不能用了,最近比如那个微信授权登录接口和跳转小程序接口改成到button里面。这两者是不是应该说明一下关系。要不然测试没问题 上线就来一个微信版本问题。我们还都不知道为什么会这样。

    2018-06-28
    赞同
    回复 1
    • 晨
      2018-06-29

      了解,我们评估下。

      2018-06-29
      赞同
      回复
  • 孙杨-邸客DEV&KEEP
    孙杨-邸客DEV&KEEP
    2018-07-04

    我是到微信和小程序的更新日志里,通过版本的发布时间来确定大概的对应关系的

    2018-07-04
    赞同
    回复